<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
    />
    <!-- Popper Development version -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Import DataTable Library -->
    <!-- Import them style bootstrap cho datatable -->
    <link
      rel="stylesheet"
      href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css"
    />
    <!-- Import Datatable sau jquery -->
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
  </head>
  <body onload="onPageLoading()"></body>
  <script>
    function onPageLoading() {
      var a = -15;
      var b = 1;
      var c = 1.2;
      function isNatural(n) {
        if (typeof n !== "number") {
          return "Not a number";
        }
        return n >= 0.0 && Math.floor(n) === n && n !== Infinity;
      }
      console.log(isNatural(a));
      console.log(isNatural(b));
      console.log(isNatural(c));
    }
  </script>
</html>
